Loading...
Searching...
No Matches
juce::IteratorPair< Begin, End > Class Template Reference

`#include <juce_Enumerate.h>`

## Public Member Functions

constexpr | IteratorPair (Begin bIn, End eIn)
constexpr auto | begin () const
constexpr auto | end () const

## Detailed Description

template<typename Begin, typename End>
class juce::IteratorPair< Begin, End >

Wraps a pair of iterators, providing member begin() and end() functions that return those iterators. This is useful in situations where you have an iterator pair, but want to use that pair somewhere that requires an iterable range, such as in a ranged-for loop.

See also
  makeRange()

Definition at line 325 of file juce_Enumerate.h.

## Constructor & Destructor Documentation

## IteratorPair()

template<typename Begin, typename End>

juce::IteratorPair< Begin, End >::IteratorPair | ( | Begin | bIn,
|  | End | eIn )

inline constexpr

Constructs a pair from a begin and end iterator. Instead of calling this directly, use makeRange().

Definition at line 331 of file juce_Enumerate.h.

## Member Function Documentation

## begin()

template<typename Begin, typename End>

auto juce::IteratorPair< Begin, End >::begin | ( |  | ) | const

inline constexpr

Returns the begin iterator.

Definition at line 335 of file juce_Enumerate.h.

## end()

template<typename Begin, typename End>

auto juce::IteratorPair< Begin, End >::end | ( |  | ) | const

inline constexpr

Returns the end iterator.

Definition at line 338 of file juce_Enumerate.h.

The documentation for this class was generated from the following file:

- juce_Enumerate.h